steam (1.0.0.64-1) unstable; urgency=medium

  * New upstream stable release
    - No changes since 1.0.0.63 that are relevant to this package
  * d/rules: Look at stable rather than precise upstream apt suite.
    The official sources.list.d fragment shipped with the Steam launcher
    now uses the 'stable' apt suite, since the Steam client doesn't
    actually work on Ubuntu 12.04 'precise' any more.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Jul 2020 15:11:18 +0100

steam (1.0.0.63-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Update steam-devices udev rules
  * debian/steam.postinst: Notify udevd to reload its rules.
    This means the steam-devices rules should take effect immediately,
    instead of being deferred until after the next reboot.
    - Thanks to Ludovico de Nittis
  * Remove unused lintian override for
    debian-rules-contains-unnecessary-get-orig-source-target

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jun 2020 13:31:44 +0100

steam (1.0.0.62-2) unstable; urgency=medium

  * steam(6): Don't redirect stderr to a log file.
    The upstream developers of Steam recently removed its own launch
    script's redirection (to /tmp/dumps), which has been noted to
    sometimes fill /tmp, and is less useful in practice than it was hoped
    to be. They have asked that we remove the similar redirection from
    Debian's equivalent script, so that when debugging game launch issues
    they can instruct users to run steam from an interactive terminal,
    and expect it to produce both stdout and stderr, regardless of
    whether their launch script or ours is in use. (Closes: #957284)
  * Remove libtxc-dxtn0 alternative dependency.
    We now require libgl1-mesa-dri (>= 17.3), which is available in
    Debian 10 and up, as well as Debian 9 backports.
  * Release to unstable.
    Version 1.0.0.62 has been promoted from beta to stable status.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 18:58:38 +0100

steam (1.0.0.62-1) experimental; urgency=medium

  * New upstream release (currently considered to be a beta)
    - New directory layout
    - Update steam binary
    - Update steam-devices udev rules from
      <https://github.com/ValveSoftware/steam-devices/>:
      add ZeroPlus P4 (hitbox) hidraw device, 0c12:0ef6
  * d/rules: Make .orig directory configurable.
    It's canonically "..", but users of git-buildpackage often separate
    the directory with git repositories from the directory with large
    binaries.
  * d/rules: Add support for downloading beta steam-launcher versions.
    The 1.0.0.62 launcher release is currently considered to be a beta,
    which will be promoted to stable status after it has had more testing.
  * d/rules: Cope with the upstream release having an epoch.
    Ubuntu's modified version of this package has an epoch as a result of
    an older, unrelated package "sTeam" with a higher version number, which
    used to be in Debian and Ubuntu many years ago. Valve's steam package
    now has an epoch so that their 1:1.0.0.62 will be compared correctly
    against Ubuntu's 1:1.0.0.61.
  * d/rules: Be more verbose about the extraction process
  * d/rules: Keep most upstream files in the orig tarball.
    The upstream "source" tarball has been restructured, and in particular
    the udev rules (which are MIT-licensed and come from a separate git
    repository) are now in subprojects/steam-devices.
    bootstrap*.tar.* contains precompiled libraries without their
    corresponding source code (it's available from repo.steampowered.com but
    not part of the "source" package), which we intentionally don't ship. The
    crashhandler module and the steamerrorreporter executable are also
    non-essential binaries.
    The other scripts and auxiliary files in the orig tarball are
    likely to be useful references, even if we don't actually ship them in
    binary packages.
  * d/copyright.in: Update
  * d/steam-devices.install: Update for upstream restructuring
  * d/steam.install: Update for new location of steam binary.
    I've left it in a subdirectory to reduce confusion with the top-level
    ./steam in upstream's "source" tarball, which is a symlink to
    bin_steam.sh.
  * Standards-Version: 4.5.0 (no changes required)
  * d/rules: Don't run upstream Makefile
  * Build-Depend on the libraries Valve put in their bootstrap tarball.
    This ensures that we have all the necessary metadata for dpkg-shlibdeps
    to generate the ${shlibs:Depends} for the proprietary steam executable.
  * d/scripts/steam: Distinguish between ~/.steam/steam and ~/.steam/root
  * Explicitly depend on the libraries that we delete from the Steam Runtime.
    We probably shouldn't be deleting these any more, because the Steam
    Runtime explicitly prefers newer versions from the host system in all
    cases, and if there are bugs in that mechanism that make deleting them
    necessary, Valve would like to know about them so they can be fixed -
    but for now, preserve historical behaviour.
  * d/steam-bug.presubj: Recommend running steam-runtime-system-info.
    This diagnostic tool was written for use in upstream bug reports, but
    is equally valuable for downstream distributors like us.
  * Depend on libgl1 instead of transitional libgl1-mesa-glx
    (Closes: #930613)
  * Use https for more URLs.
    In particular, https://repo.steampowered.com now works, and appears
    in upstream documentation.
  * d/copyright: Set Upstream-Name to steam-launcher.
    The upstream dpkg source package is still named steam for historical
    reasons, but it builds steam-launcher_*.deb, and calling it
    "steam-launcher" is a good way to disambiguate between the
    launcher/bootstrapper (which is what we're actually packaging here)
    and the full Steam client (which is downloaded by the launcher, and
    is what users normally see).
  * Move steam-devices Recommends into sorted order
  * Add Depends on file, used by the Steam Runtime setup scripts
  * Add Recommends on xdg-utils, which is used to launch URL handlers
  * Add Recommends on zenity, which Steam assumes is present
  * Add Depends on curl, used to download Steam updates
  * d/scripts/steam: Put location and version in environment variables.
    Recent Steam diagnostic tools use this to identify how Steam was
    launched.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Apr 2020 15:13:25 +0100

steam (1.0.0.61-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Make Homepage more specific
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 08:50:02 +0100

steam (1.0.0.61-1) experimental; urgency=medium

  * New upstream release
    - Adds udev rules for NVIDIA Shield input hardware
    - d/p/udev-uinput.patch: Drop, applied upstream
    - d/p/udev-permissions.patch: Drop, mostly applied upstream.
      The only remaining differences in our package were:
      + Setting TAG+="uaccess" twice on SteamVR device nodes, which
        we can drop since it's redundant (once is enough)
      + Setting MODE="0660" on /dev/uinput, which is the default anyway

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jun 2019 13:10:31 +0100

steam (1.0.0.59-4) unstable; urgency=medium

  * Demote steam-devices to a recommendation.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Feb 2019 02:41:50 +0000

steam (1.0.0.59-3) unstable; urgency=medium

  * Add Conflicts/Replaces on steam-launcher.
    steam-launcher is a Valve-provided package containing the same
    launcher as Debian's steam package, and the same udev rules as
    Debian's steam-devices package. They are not co-installable: please
    install the steam and steam-devices packages from Debian non-free,
    *or* the steam and steam-launcher packages from Valve, but do not
    mix the two sources.
  * steam-devices: Add Breaks/Replaces on non-matching versions of
    steam. This should prevent mixing Debian's steam and steam-devices
    with Valve's steam-launcher and steam, while allowing switching
    between the two to work. (Closes: #920600)
  * d/scripts/steam: Delete libxcb-dri3.so.0 from the Steam Runtime,
    and add a versioned dependency on a newer version for the host
    system. This library added ABI without increasing the -version-info,
    which means the Steam launcher script can't decide that Debian's
    copy is newer and use it in preference to the Steam Runtime copy.
    (Closes: #921026)
  * Version the dependencies on libgpg-error0 and libxinerama1 to make
    sure the copies on the host system are at least as new as those
    provided by the Steam Runtime.
  * d/steam.bug-control: Add more information to bug reports

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Feb 2019 11:34:54 +0000

steam (1.0.0.59-2) unstable; urgency=medium

  * Revert "Adjust VCS metadata for debian/experimental branch"
  * Use DEP-14 branch name debian/master
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Jan 2019 11:24:26 +0000

steam (1.0.0.59-1) experimental; urgency=medium

  * New upstream release
  * get-orig-source: Use chdist to download Valve's "source" package
    with secure-APT authentication
    - d/valve-steam-keyring.gpg: Add the signing key for Valve's apt
      repository
  * d/p/udev-permissions.patch: Update for new upstream udev rules
    - new HID device 28de:2102 is now included in 60-steam-vr.rules
  * d/gbp.conf: Explicitly disable pristine-tar for this package.
    We don't keep upstream "source" in the git repository since that
    mostly consists of binary blobs.
  * Display a debconf note if the Nvidia proprietary kernel module is
    loaded, but the corresponding i386 libraries are not found.
    This seems to be the best we can do without adding a Recommends
    on the i386 libraries, which would pull in the binary driver even
    on systems that do not have Nvidia hardware. (See #918996)
  * d/scripts/steam: Cope with different installation directories,
    such as ~/.local/share/Steam from Valve's official packaging,
    without data loss (Closes: #919467)
  * d/scripts/steam: Install to a subdirectory of ~/.steam for new
    installations, to avoid ~/.steam/steam trying to be two things
    at once (Closes: #916303)
  * Adjust VCS metadata for debian/experimental branch

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jan 2019 10:05:36 +0000

steam (1.0.0.56-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Import debian/ into salsa.debian.org git (Closes: #913651)
  * d/copyright.in: Really refer to the https form of copyright-format.
    d/copyright is generated from d/copyright.in and license files.
    (Closes: #916300)
  * Upgrade steam-devices to a hard dependency.
    The udev rules are increasingly used by the Steam client for input
    remapping, even if no Steam-specific hardware is used. (Closes: #916298)
  * Allow cross-compilation for i386 on a non-i386 build machine
    (Closes: #916301)
  * steam-devices: Mark as Multi-Arch: foreign.
    Otherwise, this package can't satisfy the steam package's dependency
    when installed with `dpkg -i` on an amd64 system (at which time it is
    assumed to belong to the host architecture), as opposed to when it
    is found in the Packages file for an i386 apt repository.
  * d/scripts/steam: Quote variables defensively
  * Demote nvidia-driver-libs-i386 from Recommends to Suggests.
    These drivers are only required on systems where the NVIDIA proprietary
    driver is in use, but the amd64 proprietary driver in nvidia-driver-libs
    already Recommends nvidia-driver-libs-i386, and the kernel driver
    nvidia-kernel-dkms Recommends nvidia-driver, which Depends on
    nvidia-driver-libs; so the only way a user of the proprietary NVIDIA
    driver could fail to have nvidia-driver-libs:i386 installed is if
    they are already disregarding Recommends.
    Keeping this driver in our Suggests means its presence or absence will
    normally be mentioned in bug reports for this package.
  * Normalize dependency lists into lexicographic order (wrap-and-sort -ast)
  * Recommend Mesa Vulkan ICDs, and suggest NVIDIA Vulkan ICD
    (Closes: #916404)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Dec 2018 20:12:40 +0000

steam (1.0.0.56-1) unstable; urgency=medium

  * New upstream release
  * Update standards version.
  * Drop zenity from the recommended packages.
  * Add uaccess to the udev rules (closes: #907731).
  * Recommend fontconfig and ca-certificates (closes: #907813).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Sep 2018 02:42:51 +0000

steam (1.0.0.55-1) unstable; urgency=medium

  * New upstream release.
    - New VR and controller devices supported.
    - Upstream license has been completely revised.
  * Add AppStream metadata about supported hardware.
  * Disable steam client crash minidumps by default.
  * Include upstream changelog in the binary packages.
  * Remove partial files after a failed download (closes: #860950).
  * Output a warning if the hardware does not support sse2 (closes: #903870).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 04 Aug 2018 21:00:16 +0000

steam (1.0.0.54-8) unstable; urgency=medium

  * Revert change to maintainer address.
  * Explicitly specify UTF-8 as the encoding for all python file io.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 18 Jul 2018 00:50:49 +0000

steam (1.0.0.54-7) unstable; urgency=medium

  * Explicitly specify UTF-8 as the encoding for license files.
  * Change maintainer address to debian-devel-games@lists.debian.org.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 16 Jul 2018 03:38:42 +0000

steam (1.0.0.54-6) unstable; urgency=medium

  * Drop useless dbgsym package.
  * Update standards version to 4.1.5.
  * Update packaging scripts to python 3.
  * Remove world readability from the udev rules.
  * Create a uinput node for the steam controller (closes: #818905).
  * Document new license for the upstream udev rules in the copyright file.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Jul 2018 21:12:44 +0000

steam (1.0.0.54-5) unstable; urgency=medium

  * Update to debhelper 11.
  * Recommend nvidia-driver-libs-i386 (closes: #839592).
  * Add German translation to the desktop file (closes: #889733).
    - Thanks to Ronny Standtke.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 17 Feb 2018 20:48:39 +0000

steam (1.0.0.54-4) unstable; urgency=medium

  * Team upload
  * Depend on libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0 now that S3TC
    support is no longer patent-encumbered and has been enabled in Mesa
    (Closes: #889987)
    - The alternative dependency can be removed if backports to older
      suites are no longer interesting.

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Feb 2018 21:42:49 +0000

steam (1.0.0.54-3) unstable; urgency=medium

  * Team upload.
  * Set DBUS_FATAL_WARNINGS environment variable to 0, working around
    versions of SDL that use the libdbus API incorrectly when ibus is
    detected. (Closes: #882607)
  * d/copyright: Refer to the https version of copyright-format
  * d/control: Elevate Priority from extra to optional, following the
    deprecation of extra in Policy v4.0.1
  * Update Standards-Version to 4.1.3 (no further changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2017 21:06:16 +0000

steam (1.0.0.54-2) unstable; urgency=medium

  * Fix error in removal of incompatible runtime libraries (closes: #850479).
    - Thanks to João Matos.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jan 2017 06:33:14 +0000

steam (1.0.0.54-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for the PlayStation DualShock 4 controller.
  * Remove more incompatible libraries from the steam runtime.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 04:23:15 +0000

steam (1.0.0.53-1) unstable; urgency=medium

  * New upstream release.
    - Adds udev rules for the HTC Vive's sensors, camera, and mass storage.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Nov 2016 23:09:09 +0000

steam (1.0.0.52-5) unstable; urgency=medium

  * Update to debhelper 10.
  * Update standards version.
  * Recommend libxss1 (closes: #835584).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Sep 2016 03:02:25 +0000

steam (1.0.0.52-4) unstable; urgency=medium

  * Team upload.
  * Add dependency on libgpg-error0. (Closes: #833113)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 17 Aug 2016 22:53:49 +0200

steam (1.0.0.52-3) unstable; urgency=medium

  * Remove incompatible libgpg-error libraries from the steam runtime directory
    (closes: #831602).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Jul 2016 22:50:36 +0000

steam (1.0.0.52-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Fix arch:all build (Closes: #822341)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Jul 2016 16:18:44 +0200

steam (1.0.0.52-1) unstable; urgency=medium

  * New upstream release.
    - More udev rules supporting the HTC Vive headset.
  * Search only the steam runtime directory for incompatible libraries
    (closes: #819826).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2016 02:36:45 +0000

steam (1.0.0.51-1) unstable; urgency=medium

  * New upstream release.
  * Add steam-devices package (closes: #802104).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 02:24:46 +0000

steam (1.0.0.50-6) unstable; urgency=medium

  * Recommend rather than depend x-terminal-emulator.
  * Automatically set locale only when it is unset (closes: #795674).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 23 Aug 2015 20:56:48 +0000

steam (1.0.0.50-5) unstable; urgency=medium

  * Correctly make libx11-6 a build dependency.
  * Move the steam executable to /usr/lib/games/steam.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Aug 2015 20:46:45 +0000

steam (1.0.0.50-4) unstable; urgency=medium

  * Add libx11-6 build dependency (closes: #793195).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Aug 2015 21:33:59 +0000

steam (1.0.0.50-3) unstable; urgency=medium

  * Rebuild and reintroduce the package because of auto-cruft removal.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Aug 2015 00:05:41 +0000

steam (1.0.0.50-2) unstable; urgency=medium

  * Enable XS-Autobuild.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Jul 2015 18:16:15 +0000

steam (1.0.0.50-1) unstable; urgency=medium

  * New upstream release.
  * Use C locale by default (closes: #764311)
  * Better fix for steam including libstdc++ (closes: #781454).
  * Install steam executable to /usr/lib/steam (closes: #776183).
  * More robust handling of debconf selections (closes: #772598).
    - Thanks to Chris Kuehl.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Jun 2015 21:37:40 +0000

steam (1.0.0.49-1) unstable; urgency=medium

  * New upstream release.
  * Simply the get-orig-source rule.
  * Remove unneeded build-dependencies.
  * Workaround an incompatibility between libstdc++ in the steam runtime
    and system mesa video card libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 02 Sep 2014 00:39:01 +0000

steam (1.0.0.48-2) unstable; urgency=medium

  * Add README.debian with some audio configuration tips (closes: #724971).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 08 Aug 2014 17:45:30 +0000

steam (1.0.0.48-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 07:06:46 +0000

steam (1.0.0.47-3) unstable; urgency=medium

  * Explicitly set libc6 dependency (closes: #751145).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 06:45:27 +0000

steam (1.0.0.47-2) unstable; urgency=medium

  * Add libudev1 dependency (closes: #730629).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 09 Apr 2014 01:30:34 +0000

steam (1.0.0.47-1) unstable; urgency=medium

  * New upstream release.
  * Redirect stderr to ~/.steam/error.log.
  * Better checking for steam updater failures.
  * Add libxinerama1 dependency (closes: #730629).
  * Depend libtxc-dxtn0 instead of libtxc-dxtn-s2tc0 (closes: #737300).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Mar 2014 03:05:53 +0000

steam (1.0.0.45-1) unstable; urgency=medium

  * New upstream release (closes: #733103).
  * Add xz-utils dependency (closes: #727839).
  * Recommend fonts-liberation (closes: #736455).
  * Add libtxc-dxtn-s2tc0 dependency (closes: #736663).
  * Add x-terminal-emulator dependency (closes: #733601).
  * Improve build failure message on unsupported architectures.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 20:08:56 +0000

steam (1.0.0.39-2) unstable; urgency=medium

  * Install steam_tray_mono.png (closes: #711535).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 27 Aug 2013 01:54:48 +0000

steam (1.0.0.39-1) unstable; urgency=low

  * New upstream release.
  * Only build on i386 (closes: #706677).
  * Ensure steam.sh is in place (closes: #706857).
  * Add missing x11 build dependencies (closes: #706970).
    - Thanks to Stephen Kitt.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 27 May 2013 18:19:20 +0000

steam (1.0.0.36-1) experimental; urgency=low

  * New upstream release.
  * Fix paths in steam wrapper script (closes: #705334).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 20 Apr 2013 21:13:31 -0400

steam (1.0.0.33-1) experimental; urgency=low

  * Intitial release (closes: #440607).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Feb 2013 16:59:29 +0000
